Bug 1564887 - ethtool commands don't contain interface name in file name in archive
Summary: ethtool commands don't contain interface name in file name in archive
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Cloud Software Services (cloud.redhat.com)
Classification: Red Hat
Component: Client
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: jcrafts
QA Contact: Jeff Needle
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-08 16:10 UTC by Kyle Lape
Modified: 2018-09-26 08:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-26 08:19:37 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Kyle Lape 2018-04-08 16:10:26 UTC
Description of problem:

ethtool commands contain the interface name in 1.x client, but 3.x client does not.  It clearly intends to because there is an underscore at the end of each file name.  This causes there to be a set of ethtool files for only one interface since each interface gets overwritten.

Example `ethtool -k` filename:

./insights-vagrant-host-20180408120350/insights_commands/ethtool_-k_

It should be something like:

./insights-vagrant-host-20180408120350/insights_commands/ethtool_-k_docker0

Comment 1 jcrafts 2018-05-17 14:12:18 UTC
This has been fixed. Waiting on a release for a "fixed in..." version to include in this BZ.


Note You need to log in before you can comment on or make changes to this bug.